Bug 504419 - Tiny 1 sheet spreadsheet incredibly slow
Tiny 1 sheet spreadsheet incredibly slow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-06 13:54 EDT by Bill Gradwohl
Modified: 2009-09-04 00:00 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.0.1-15.6.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-04 00:00:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test sheet to demonstrate slow cell calcs (11.81 KB, application/vnd.oasis.opendocument.spreadsheet)
2009-06-06 13:54 EDT, Bill Gradwohl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 83712 None None None Never

  None (edit)
Description Bill Gradwohl 2009-06-06 13:54:26 EDT
Created attachment 346757 [details]
test sheet to demonstrate slow cell calcs

Description of problem:
Calculations take seconds per cell change on a tiny sheet.
Reported to Open Office as their bug # 102566 and they say its peculiar to Fedora's build.

on-Release number of selected component (if applicable):
Version is 3.0.1-15.4.fc10 


How reproducible:
AutoCalculate is ON.

Note at opening the sheet, how long "calculating" and "adapting row height" takes at the bottom left.

Hit CTRL-END just so that you confirm how tiny this sheet is.

Goto E2
Enter an integer other than the one already there and watch how quickly the
sheet is calc'd.
Goto E2
Enter an integer other than the one already there, and now watch how slow it is.

No matter how often you alter E2, speed remains slow.

Now, Highlight A15:T15, right click, copy.
Goto A17, right click paste.

Goto E2
Enter a number other than the one already there.
Still very slow.
Highlight A18:A250, right click, paste.

Goto E2
Enter a number other than the one already there.

Slowness is gone and the sheet is 20 times as large as it was when it was slow.


But wait - there's more.

Put the mouse on the row marker for row 16 and drag the mouse down to row 250.

See how many "calculating" messages fly by and how incredibly slow this is?

When you finally have rows 16 thru 250 highlighted, right click, delete row.

Go back to E2
Enter a number other than the one already there.

Back to being slow and the sheet is a small fraction of what it was when it was
faster.



Steps to Reproduce:
1. Every time. Just repeat steps above
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2009-06-06 15:18:47 EDT
Definitely reproducible, on i686 3.1.0 F-11 as well. Upstream comment is just using the http://wiki.services.openoffice.org/wiki/CrazyDistroDefense
Comment 2 Caolan McNamara 2009-06-08 16:18:30 EDT
This reminds me vaguely of bug 387701 

e.g. if you de-maximise calc and re-size the window to only show e.g. the one column E on screen I bet it flies along
Comment 3 Caolan McNamara 2009-06-09 05:30:37 EDT
Digging through with kcachegrind shows that with small numbers of cells like this the time is massively dominated by drawing the progress bar itself!

We're drawing the progress bar on every percentage of cells updated, which is good when we have a few thousand of them, but not great when we have only a hundred or so
Comment 4 Caolan McNamara 2009-06-09 06:33:53 EDT
Filed a patch upstream, along with callgrind results. Patch checked into F-10/F-11/devel, will be in >= 3.0.1-15.5 if there is another update for F-10
Comment 5 Fedora Update System 2009-09-02 03:42:46 EDT
openoffice.org-3.0.1-15.5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/openoffice.org-3.0.1-15.5.fc10
Comment 6 Fedora Update System 2009-09-03 04:01:18 EDT
openoffice.org-3.0.1-15.6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/openoffice.org-3.0.1-15.6.fc10
Comment 7 Fedora Update System 2009-09-04 00:00:07 EDT
openoffice.org-3.0.1-15.6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.